#{extends 'borderNG.html' /}
#{set 'titleHead'}  &{'swakelola.daftar_paket_swakelola'} #{/set}

<div class="content">
    <ul class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{swakelola.PaketSwakelolaCtr.index()}">&{'swakelola.daftar_paket'}</a></li>
        <li class="active">&{'swakelola.daftar_rencana_swakelola'}</li>
    </ul>
    #{form @swakelola.PaketSwakelolaCtr.rencana_swakelola(), id:'formFilter'}
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="200">K/L/PD<span class="warning"> *</span></th>
            <td>#{selectInstansi 'instansiId', value:instansiId /}
            	<a id="updateInstansi" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                <div class="has-error">
                    <span id="alertInstansi" class="form-text" style="display: none">Pilih &{'instansi'} terlebih dahulu.</span>
                </div>
            </td>
        </tr>
        <tr>
            <th class="bgwarning">Tahun Anggaran</th>
            <td>#{selectTahunAnggaran 'tahun', value:tahun /}</td>
        </tr>
        <tr>
            <th class="bgwarning">Satuan Kerja<span class="warning"> *</span></th>
            <td>#{selectSatkerPusat 'satkerId', instansiId:instansiId, value:satkerId, tahun:tahun /}
            	<a id="updateSatker" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                <div class="has-error">
                    <span id="alertSatker" class="form-text" style="display: none">Pilih &{'satker'} terlebih dahulu.</span>
                </div>
            </td>
        </tr>
    </table>
        <a id="updatePaket" href="javascript:void(0)" class="btn btn-primary">&{'swakelola.update_rup'}</a>
    #{/form}
     <div class="bs-callout bs-callout-warning">
    	&{'swakeloal.pembuatan_swakelola'}
    </div>
<table class="table table-sm table-hover" id="tblLelang"></table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var viewPaket = #{jsRoute @swakelola.PaketSwakelolaCtr.rencanaViewSwakelola(':id', paketId) /};
var table = $("#tblLelang").DataTable({
    ajax : '@{DataTableCtr.rencanaPaketSwakelola(paketId, satkerId, tahun, tipeSwakelola)}',
    columns: [{title:"Kode RUP", width:"10%"},{title: "Nama Paket", render: function(data, type, row) {
                    var paketId = row[0];
                    var paket = row[1];
                    var status = row[2];
                    row[0] = '<a class="dialog" title="Informasi Paket Swakelola" href="'+viewPaket.url({id:paketId})+'">'+ paket +'</a>';
                    return row[0];
            }},
              {title: "&{'paket.sumber_dana'}", width:"100"},

              {title: "&{'paket.pagu'}", width:"100"},
              {title: "&{'paket.tahun'}", width:"100"},
    ]
});
  $('#tblLelang_filter input').unbind();
  $('#tblLelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
        }
  });

$(document).on('change', '#instansi', function(){
	var instansi_id=$(this).val();
	$.cookie("sirup_instansi_id", instansi_id , {expires:365, path:'${request.path}'});		
	$('#formFilter').submit();
});
$(document).on('change', '#satker', function(){
	var satker_id=$("#satker").val();
	$.cookie("sirup_satker_id", satker_id, {expires:365, path:'${request.path}'});		
	$('#formFilter').submit();
});
$(document).on('change', '#tahun', function(){
	var tahun=$("#tahun").val();
	$.cookie("sirup_tahun", tahun, {expires:365, path:'${request.path}'});		
	$('#formFilter').submit();
});
$(document).on('click', '#updateInstansi', function(){
	console.log('update instansi');
	location.href='@{admin.UtilityCtr.update_instansi_swakelola(paketId)}';
});
$(document).on('click', '#updateSatker', function(){
	console.log('update Satuan kerja dari instansi ${instansiId}');
	location.href='@{admin.UtilityCtr.update_satker_swakelola(paketId,instansiId, tahun)}';
});	
$(document).on('click', '#updatePaket', function(){
    $("#alertInstansi").hide();
    $("#alertSatker").hide();

    var instansiId = $("select[name='instansiId']").val();
    var satkerId = $("select[name='satkerId']").val();

    var valid = true;

    if(instansiId == null || instansiId == ""){
        $("#alertInstansi").show();
        valid = false;
    }

    if(satkerId == null || satkerId == ""){
        $("#alertSatker").show();
        valid = false;
    }
    if(valid){
        console.log('update paket dari satker ${satkerId}, tahun ${tahun}');
	    location.href='@{admin.UtilityCtr.update_paket_swk_sirup(paketId,satkerId, tahun)}';
    }
});
</script>
#{/set}